const imageUrl='https://catmdogf.oss-cn-shanghai.aliyuncs.com/CMDF/front/share/share.png';
export default {
	
	data() {
		return {
			//设置默认的分享参数
			share: {
				title: '猫妈狗爸',
				path: '/pages/index',
				imageUrl: imageUrl,
				desc: '猫妈狗爸',
				content: '猫妈狗爸'
			}
		}
	},
	onShareAppMessage(res) {
		return {
			title: this.share.title,
			path: this.share.path,
			imageUrl: this.share.imageUrl,
			desc: this.share.desc,
			content: this.share.content,
			success(res) {
				uni.showToast({
					title: '分享成功'
				})
			},
			fail(res) {
				uni.showToast({
					title: '分享失败',
					icon: 'none'
				})
			}
		}
	},
	onShareTimeline() {},
}
